Page MenuHomePhabricator

Check home/HDFS leftovers of leila
Closed, ResolvedPublic

Description

As part of T264472, the shell account for leila has been disabled, and a new one created (leizi). Can you please check for data belonging to leila in home dirs on stat*/notebook*/HDFS since they were a part of the "analytics-privatedata-users" group.

This account did not have a kerberos principal.

Event Timeline

Kormat created this task.Oct 8 2020, 9:24 AM
elukey added a comment.EditedOct 8 2020, 9:28 AM

Should we move the content of the leila to leizi on stat100x and hdfs? Pinging also @leila

elukey added a subscriber: leila.Oct 8 2020, 9:28 AM
Milimetric moved this task from Incoming to Ops Week on the Analytics board.Oct 19 2020, 4:05 PM
elukey added a comment.EditedOct 23 2020, 2:23 PM

stat100x homes done (content moved under /home/leizi)

For HDFS:

======= HDFS ========
Found 6 items
drwx------   - leila leila              0 2018-06-27 00:37 /user/leila/.staging
drwxr-xr-x   - leila bmansurov          0 2019-02-21 09:25 /user/leila/ashwinpp
drwxr-xr-x   - leila leila              0 2019-08-27 10:34 /user/leila/ellery
drwxr-xr-x   - leila leila              0 2015-01-14 23:55 /user/leila/fawiki_20150114
drwxr-xr-x   - leila bmansurov          0 2019-02-21 09:29 /user/leila/nschaaf
drwxr-xr-x   - leila leila              0 2015-03-18 23:21 /user/leila/pagelinks

====== Hive =========
drwxr-xr-x   - leila            hdfs                            0 2015-01-15 00:22 /user/hive/warehouse/leila.db/fawiki_20150114
drwxr-xr-x   - leila            hdfs                            0 2015-01-07 22:44 /user/hive/warehouse/leila.db/impression_sec
drwxr-xr-x   - leila            hdfs                            0 2015-01-07 23:24 /user/hive/warehouse/leila.db/impression_second
drwxr-xr-x   - leila            hdfs                            0 2015-01-07 23:56 /user/hive/warehouse/leila.db/impression_second_2
drwxr-xr-x   - leila            hdfs                            0 2015-01-07 23:38 /user/hive/warehouse/leila.db/impression_second_wikigrok
drwxr-xr-x   - leila            hdfs                            0 2015-01-08 00:02 /user/hive/warehouse/leila.db/impression_second_wikigrok_2
drwxrwxrwt   - leila            hadoop                          0 2015-01-07 19:35 /user/hive/warehouse/leila.db/page_wikigrok

I moved all contents of /user/leila to /user/leizi/leila, and assigned new permissions (namely owner == leizi).

elukey@an-launcher1002:~$ sudo -u hdfs kerberos-run-command hdfs hdfs dfs -chown -R leizi /user/leizi/leila
elukey@an-launcher1002:~$ sudo -u hdfs kerberos-run-command hdfs hdfs dfs -ls /user/leizi
Found 1 items
drwxr-xr-x   - leizi leila          0 2019-08-27 10:34 /user/leizi/leila
elukey@an-launcher1002:~$ sudo -u hdfs kerberos-run-command hdfs hdfs dfs -ls /user/leizi/leila
Found 6 items
drwx------   - leizi leila              0 2018-06-27 00:37 /user/leizi/leila/.staging
drwxr-xr-x   - leizi bmansurov          0 2019-02-21 09:25 /user/leizi/leila/ashwinpp
drwxr-xr-x   - leizi leila              0 2019-08-27 10:34 /user/leizi/leila/ellery
drwxr-xr-x   - leizi leila              0 2015-01-14 23:55 /user/leizi/leila/fawiki_20150114
drwxr-xr-x   - leizi bmansurov          0 2019-02-21 09:29 /user/leizi/leila/nschaaf
drwxr-xr-x   - leizi leila              0 2015-03-18 23:21 /user/leizi/leila/pagelinks

Not sure what to do with the Hive database, can we just move leila.db to leizi.db (and change perms) or does this require a more elaborate procedure for hive?

leila added a comment.Oct 23 2020, 5:30 PM

@elukey thanks. Just drop the Hive tables, please. No need to move them.

elukey closed this task as Resolved.Oct 27 2020, 3:59 PM
elukey claimed this task.

Tables dropped by Francisco today, this task is completed :)

@leila please check that everything looks good :)

leila added a comment.Oct 27 2020, 9:20 PM

Thank you! I didn't check and I trust your work here. If something goes deleted unintentionally, I'm sure we can recover.